import type { AccordionHeadingTag, BreakpointCustomizable, AccordionSize, AccordionTag, Theme } from '../types';
type PAccordionProps = {
    /**
     * Displays the Accordion as compact version with thinner border and smaller paddings.
     */
    compact?: boolean;
    /**
     * Defines the heading used in accordion.
     */
    heading?: string;
    /**
     * Sets a heading tag, so it fits correctly within the outline of the page.
     */
    headingTag?: AccordionHeadingTag;
    /**
     * Defines if accordion is open.
     */
    open?: boolean;
    /**
     * The text size.
     */
    size?: BreakpointCustomizable<AccordionSize>;
    /**
     * @experimental Sticks the Accordion heading at the top, fixed while scrolling
     */
    sticky?: boolean;
    /**
     * @deprecated , will be removed with next major release, use `heading-tag` instead. Sets a heading tag, so it fits correctly within the outline of the page.
     */
    tag?: AccordionTag;
    /**
     * Adapts the color when used on dark background.
     */
    theme?: Theme;
};
declare function __VLS_template(): {
    default?(_: {}): any;
};
declare const __VLS_component: import("vue").DefineComponent<PAccordionProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    accordionChange: (value: import("../types").AccordionUpdateEvent) => void;
    update: (value: import("../types").AccordionUpdateEvent) => void;
}, string, import("vue").PublicProps, Readonly<PAccordionProps> & Readonly<{
    onAccordionChange?: ((value: import("../types").AccordionUpdateEvent) => any) | undefined;
    onUpdate?: ((value: import("../types").AccordionUpdateEvent) => any) | undefined;
}>, {
    headingTag: AccordionHeadingTag;
    size: BreakpointCustomizable<AccordionSize>;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, ReturnType<typeof __VLS_template>>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
