import type { BannerHeadingTag, BannerState, Theme, BannerWidth } from '../types';
type PBannerProps = {
    /**
     * Description of the banner.
     */
    description?: string;
    /**
     * If false, the banner will not have a dismiss button.
     */
    dismissButton?: boolean;
    /**
     * Heading of the banner.
     */
    heading?: string;
    /**
     * Sets a heading tag, so it fits correctly within the outline of the page.
     */
    headingTag?: BannerHeadingTag;
    /**
     * If true, the banner is open.
     */
    open: boolean;
    /**
     * @deprecated since v3.0.0, will be removed with next major release, use `dismissButton` instead. Defines if the banner can be closed/removed by the user.
     */
    persistent?: boolean;
    /**
     * State of the banner.
     */
    state?: BannerState;
    /**
     * Adapts the banner color depending on the theme.
     */
    theme?: Theme;
    /**
     * Has no effect anymore
     * @deprecated since v3.0.0, will be removed with next major release
     */
    width?: BannerWidth;
};
declare function __VLS_template(): {
    default?(_: {}): any;
};
declare const __VLS_component: import("vue").DefineComponent<PBannerProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, any, string, import("vue").PublicProps, any, {
    heading: string;
    description: string;
    headingTag: BannerHeadingTag;
    open: boolean;
    dismissButton: boolean;
    state: BannerState;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, ReturnType<typeof __VLS_template>>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
