import type { HeadlineAlign, HeadlineColor, HeadlineTag, Theme, HeadlineVariant } from '../types';
type PHeadlineProps = {
    /**
     * Text alignment of the component.
     */
    align?: HeadlineAlign;
    /**
     * Basic text color variations depending on theme property.
     */
    color?: HeadlineColor;
    /**
     * Adds an ellipsis to a single line of text if it overflows.
     */
    ellipsis?: boolean;
    /**
     * Sets a custom HTML tag depending on the usage of the headline component.
     */
    tag?: HeadlineTag;
    /**
     * Adapts the text color depending on the theme. Has no effect when "inherit" is set as color prop.
     */
    theme?: Theme;
    /**
     * Predefined style of the headline.
     */
    variant?: HeadlineVariant;
};
declare function __VLS_template(): {
    default?(_: {}): any;
};
declare const __VLS_component: import("vue").DefineComponent<PHeadlineProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<PHeadlineProps> & Readonly<{}>, {
    variant: HeadlineVariant;
    align: HeadlineAlign;
    color: HeadlineColor;
    ellipsis: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
/** @deprecated since v3.0.0, will be removed with next major release. Please use "p-heading" instead. */
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, ReturnType<typeof __VLS_template>>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
