import type { InlineNotificationActionIcon, InlineNotificationHeadingTag, InlineNotificationState, Theme } from '../types';
type PInlineNotificationProps = {
    /**
     * Action icon of the inline-notification.
     */
    actionIcon?: InlineNotificationActionIcon;
    /**
     * Action label of the inline-notification.
     */
    actionLabel?: string;
    /**
     * Disables the action button and shows a loading indicator. No events will be triggered while loading state is active.
     */
    actionLoading?: boolean;
    /**
     * Description of the inline-notification.
     */
    description?: string;
    /**
     * If false, the inline-notification will not have a dismiss button.
     */
    dismissButton?: boolean;
    /**
     * Heading of the inline-notification.
     */
    heading?: string;
    /**
     * Sets a heading tag, so it fits correctly within the outline of the page.
     */
    headingTag?: InlineNotificationHeadingTag;
    /**
     * @deprecated since v3.0.0, will be removed with next major release, use `dismissButton` instead. Defines if the inline-notification can be closed/removed by the user.
     */
    persistent?: boolean;
    /**
     * State of the inline-notification.
     */
    state?: InlineNotificationState;
    /**
     * Adapts the inline-notification color depending on the theme.
     */
    theme?: Theme;
};
declare function __VLS_template(): {
    default?(_: {}): any;
};
declare const __VLS_component: import("vue").DefineComponent<PInlineNotificationProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, any, string, import("vue").PublicProps, any, {
    heading: string;
    description: string;
    headingTag: InlineNotificationHeadingTag;
    dismissButton: boolean;
    state: InlineNotificationState;
    actionIcon: InlineNotificationActionIcon;
    actionLoading: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, ReturnType<typeof __VLS_template>>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
