import type { InputNumberAutoComplete, BreakpointCustomizable, InputNumberState, Theme } from '../types';
type PInputNumberProps = {
    /**
     * Specifies whether the input can be autofilled by the browser
     */
    autoComplete?: InputNumberAutoComplete;
    /**
     * Displays as compact version.
     */
    compact?: boolean;
    /**
     * Show or hide the increment/decrement stepper controls.
     */
    controls?: boolean;
    /**
     * The description text.
     */
    description?: string;
    /**
     * Marks the number input as disabled.
     */
    disabled?: boolean;
    /**
     * The id of a form element the number input should be associated with.
     */
    form?: string;
    /**
     * Show or hide label and description text. For better accessibility it is recommended to show the label.
     */
    hideLabel?: BreakpointCustomizable<boolean>;
    /**
     * The label text.
     */
    label?: string;
    /**
     * The max value of the number input.
     */
    max?: number;
    /**
     * The message styled depending on validation state.
     */
    message?: string;
    /**
     * The min value of the number input.
     */
    min?: number;
    /**
     * The name of the number input.
     */
    name: string;
    /**
     * The placeholder text.
     */
    placeholder?: string;
    /**
     * Specifies whether the number input should be read-only.
     */
    readOnly?: boolean;
    /**
     * Marks the number input as required.
     */
    required?: boolean;
    /**
     * The validation state.
     */
    state?: InputNumberState;
    /**
     * The granularity that the value must adhere to.
     */
    step?: number;
    /**
     * Adapts the color depending on the theme.
     */
    theme?: Theme;
    /**
     * The number input value.
     */
    value?: string;
};
declare function __VLS_template(): {
    default?(_: {}): any;
};
declare const __VLS_component: import("vue").DefineComponent<PInputNumberProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    blur: (value: Event) => void;
    change: (value: Event) => void;
    input: (value: InputEvent) => void;
}, string, import("vue").PublicProps, Readonly<PInputNumberProps> & Readonly<{
    onBlur?: ((value: Event) => any) | undefined;
    onChange?: ((value: Event) => any) | undefined;
    onInput?: ((value: InputEvent) => any) | undefined;
}>, {
    step: number;
    label: string;
    description: string;
    disabled: boolean;
    compact: boolean;
    state: InputNumberState;
    required: boolean;
    hideLabel: BreakpointCustomizable<boolean>;
    value: string;
    message: string;
    autoComplete: InputNumberAutoComplete;
    controls: boolean;
    placeholder: string;
    readOnly: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, ReturnType<typeof __VLS_template>>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
