import type { InputPasswordAutoComplete, BreakpointCustomizable, InputPasswordState, Theme } from '../types';
type PInputPasswordProps = {
    /**
     * Specifies whether the input can be autofilled by the browser
     */
    autoComplete?: InputPasswordAutoComplete;
    /**
     * Displays as compact version.
     */
    compact?: boolean;
    /**
     * The description text.
     */
    description?: string;
    /**
     * Marks the password input as disabled.
     */
    disabled?: boolean;
    /**
     * The id of a form element the password input should be associated with.
     */
    form?: string;
    /**
     * Show or hide label and description text. For better accessibility it is recommended to show the label.
     */
    hideLabel?: BreakpointCustomizable<boolean>;
    /**
     * The label text.
     */
    label?: string;
    /**
     * The max length of the password input.
     */
    maxLength?: number;
    /**
     * The message styled depending on validation state.
     */
    message?: string;
    /**
     * The min length of the password input.
     */
    minLength?: number;
    /**
     * The name of the password input.
     */
    name: string;
    /**
     * The placeholder text.
     */
    placeholder?: string;
    /**
     * Specifies whether the password input should be read-only.
     */
    readOnly?: boolean;
    /**
     * Marks the password input as required.
     */
    required?: boolean;
    /**
     * The validation state.
     */
    state?: InputPasswordState;
    /**
     * Adapts the color depending on the theme.
     */
    theme?: Theme;
    /**
     * Show or hide password toggle for `input type="password"`.
     */
    toggle?: boolean;
    /**
     * The password input value.
     */
    value?: string;
};
declare function __VLS_template(): {
    default?(_: {}): any;
};
declare const __VLS_component: import("vue").DefineComponent<PInputPasswordProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    blur: (value: Event) => void;
    change: (value: Event) => void;
    input: (value: InputEvent) => void;
}, string, import("vue").PublicProps, Readonly<PInputPasswordProps> & Readonly<{
    onBlur?: ((value: Event) => any) | undefined;
    onChange?: ((value: Event) => any) | undefined;
    onInput?: ((value: InputEvent) => any) | undefined;
}>, {
    toggle: boolean;
    label: string;
    description: string;
    disabled: boolean;
    compact: boolean;
    state: InputPasswordState;
    required: boolean;
    hideLabel: BreakpointCustomizable<boolean>;
    value: string;
    message: string;
    autoComplete: InputPasswordAutoComplete;
    placeholder: string;
    readOnly: boolean;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, ReturnType<typeof __VLS_template>>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
