import type { SelectedAriaAttributes, ModalAriaAttribute, ModalBackdrop, BreakpointCustomizable, Theme } from '../types';
type PModalProps = {
    /**
     * Add ARIA attributes.
     */
    aria?: SelectedAriaAttributes<ModalAriaAttribute>;
    /**
     * Defines the backdrop, 'blur' (should be used when Modal is opened by user interaction, e.g. after a click on a button) and 'shading' (should be used when Modal gets opened automatically, e.g. Cookie Consent).
     */
    backdrop?: ModalBackdrop;
    /**
     * If true, the modal will not be closable via backdrop click.
     */
    disableBackdropClick?: boolean;
    /**
     * If true, the modal will not have a dismiss button.
     * @deprecated since v3.0.0, will be removed with next major release, use `dismissButton` instead.
     */
    disableCloseButton?: boolean;
    /**
     * If false, the modal will not have a dismiss button.
     */
    dismissButton?: boolean;
    /**
     * If true the modal uses max viewport height and width. Should only be used for mobile.
     */
    fullscreen?: BreakpointCustomizable<boolean>;
    /**
     * @deprecated since v3.0.0, will be removed with next major release, use `header` slot instead The title of the modal
     */
    heading?: string;
    /**
     * If true, the modal is open.
     */
    open: boolean;
    /**
     * Adapts the modal color depending on the theme.
     */
    theme?: Theme;
};
declare function __VLS_template(): {
    default?(_: {}): any;
};
declare const __VLS_component: import("vue").DefineComponent<PModalProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, any, string, import("vue").PublicProps, any, {
    open: boolean;
    dismissButton: boolean;
    disableBackdropClick: boolean;
    backdrop: ModalBackdrop;
    fullscreen: BreakpointCustomizable<boolean>;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, ReturnType<typeof __VLS_template>>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
