import type { SegmentedControlBackgroundColor, BreakpointCustomizable, SegmentedControlColumns, Theme } from '../types';
type PSegmentedControlProps = {
    /**
     * @deprecated since v3.0.0, will be removed with next major release. Background color variations
     */
    backgroundColor?: SegmentedControlBackgroundColor;
    /**
     * Sets the amount of columns.
     */
    columns?: BreakpointCustomizable<SegmentedControlColumns>;
    /**
     * Disables the segmented-control.
     */
    disabled?: boolean;
    /**
     * The id of a form element the segmented-control should be associated with.
     */
    form?: string;
    /**
     * The name of the segmented-control.
     */
    name?: string;
    /**
     * Adapts the segmented-control color depending on the theme.
     */
    theme?: Theme;
    /**
     * Sets the initial value of the segmented-control.
     */
    value?: string | number;
};
declare function __VLS_template(): {
    default?(_: {}): any;
};
declare const __VLS_component: import("vue").DefineComponent<PSegmentedControlProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    segmentedControlChange: (value: import("../types").SegmentedControlUpdateEvent) => void;
    update: (value: import("../types").SegmentedControlUpdateEvent) => void;
}, string, import("vue").PublicProps, Readonly<PSegmentedControlProps> & Readonly<{
    onUpdate?: ((value: import("../types").SegmentedControlUpdateEvent) => any) | undefined;
    onSegmentedControlChange?: ((value: import("../types").SegmentedControlUpdateEvent) => any) | undefined;
}>, {
    disabled: boolean;
    columns: BreakpointCustomizable<SegmentedControlColumns>;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, ReturnType<typeof __VLS_template>>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
