import type { TabsGradientColor, TabsGradientColorScheme, BreakpointCustomizable, TabsSize, Theme, TabsWeight } from '../types';
type PTabsProps = {
    /**
     * Defines which tab to be visualized as selected (zero-based numbering).
     */
    activeTabIndex?: number;
    /**
     * Adapts the background gradient color of prev and next button.
     */
    gradientColor?: TabsGradientColor;
    /**
     * @deprecated since v3.0.0, will be removed with next major release, use `gradientColor` instead. Adapts the background gradient color of prev and next button.
     */
    gradientColorScheme?: TabsGradientColorScheme;
    /**
     * The text size.
     */
    size?: BreakpointCustomizable<TabsSize>;
    /**
     * Adapts the color when used on dark background.
     */
    theme?: Theme;
    /**
     * The text weight.
     */
    weight?: TabsWeight;
};
declare function __VLS_template(): {
    default?(_: {}): any;
};
declare const __VLS_component: import("vue").DefineComponent<PTabsProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    tabChange: (value: import("../types").TabsBarUpdateEvent) => void;
    update: (value: import("../types").TabsBarUpdateEvent) => void;
}, string, import("vue").PublicProps, Readonly<PTabsProps> & Readonly<{
    onUpdate?: ((value: import("../types").TabsBarUpdateEvent) => any) | undefined;
    onTabChange?: ((value: import("../types").TabsBarUpdateEvent) => any) | undefined;
}>, {
    weight: TabsWeight;
    size: BreakpointCustomizable<TabsSize>;
    gradientColor: TabsGradientColor;
    activeTabIndex: number;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, ReturnType<typeof __VLS_template>>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
