import type { TextFieldWrapperActionIcon, BreakpointCustomizable, TextFieldWrapperState, Theme, TextFieldWrapperUnitPosition } from '../types';
type PTextFieldWrapperProps = {
    /**
     * Action icon can be set to `locate` for `input type="search"` in order to display an action button.
     */
    actionIcon?: TextFieldWrapperActionIcon;
    /**
     * Disables the action button and shows a loading indicator. No events will be triggered while loading state is active.
     */
    actionLoading?: boolean;
    /**
     * The description text.
     */
    description?: string;
    /**
     * Show or hide label and description text. For better accessibility it is recommended to show the label.
     */
    hideLabel?: BreakpointCustomizable<boolean>;
    /**
     * The label text.
     */
    label?: string;
    /**
     * The message styled depending on validation state.
     */
    message?: string;
    /**
     * @deprecated since v3.0.0, will be removed with next major release, use `showCounter` instead. Show or hide max character count.
     */
    showCharacterCount?: boolean;
    /**
     * Show or hide max character count.
     */
    showCounter?: boolean;
    /**
     * @experimental Show or hide password toggle for `input type="password"`.
     */
    showPasswordToggle?: boolean;
    /**
     * The validation state.
     */
    state?: TextFieldWrapperState;
    /**
     * Show search button if wrapped inside a form.
     */
    submitButton?: boolean;
    /**
     * Adapts the color depending on the theme.
     */
    theme?: Theme;
    /**
     * The unit text.
     */
    unit?: string;
    /**
     * The unit position.
     */
    unitPosition?: TextFieldWrapperUnitPosition;
};
declare function __VLS_template(): {
    default?(_: {}): any;
};
declare const __VLS_component: import("vue").DefineComponent<PTextFieldWrapperProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, any, string, import("vue").PublicProps, any, {
    label: string;
    description: string;
    state: TextFieldWrapperState;
    hideLabel: BreakpointCustomizable<boolean>;
    message: string;
    actionLoading: boolean;
    showCounter: boolean;
    showPasswordToggle: boolean;
    submitButton: boolean;
    unit: string;
    unitPosition: TextFieldWrapperUnitPosition;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, ReturnType<typeof __VLS_template>>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
