import type { TextareaAutoComplete, BreakpointCustomizable, TextareaResize, TextareaState, Theme, TextareaWrap } from '../types';
type PTextareaProps = {
    /**
     * Specifies whether the input can be autofilled by the browser
     */
    autoComplete?: TextareaAutoComplete;
    /**
     * The description text.
     */
    description?: string;
    /**
     * Marks the textarea as disabled.
     */
    disabled?: boolean;
    /**
     * The id of a form element the textarea should be associated with.
     */
    form?: string;
    /**
     * Show or hide label. For better accessibility it is recommended to show the label.
     */
    hideLabel?: BreakpointCustomizable<boolean>;
    /**
     * The label text.
     */
    label?: string;
    /**
     * The max length of the textarea.
     */
    maxLength?: number;
    /**
     * The message styled depending on validation state.
     */
    message?: string;
    /**
     * The min length of the textarea.
     */
    minLength?: number;
    /**
     * The name of the textarea.
     */
    name: string;
    /**
     * The placeholder text.
     */
    placeholder?: string;
    /**
     * Specifies whether the textarea should be read-only.
     */
    readOnly?: boolean;
    /**
     * Marks the textarea as required.
     */
    required?: boolean;
    /**
     * Controls whether the textarea is resizable and in which direction.
     */
    resize?: TextareaResize;
    /**
     * The amount of rows of the textarea.
     */
    rows?: number;
    /**
     * Show or hide max character count.
     */
    showCounter?: boolean;
    /**
     * Specifies whether the input should have its spelling and grammar checked
     */
    spellCheck?: boolean;
    /**
     * The validation state.
     */
    state?: TextareaState;
    /**
     * Adapts the color depending on the theme.
     */
    theme?: Theme;
    /**
     * The textarea value.
     */
    value?: string;
    /**
     * Handles wrapping behaviour of elements.
     */
    wrap?: TextareaWrap;
};
declare function __VLS_template(): {
    default?(_: {}): any;
};
declare const __VLS_component: import("vue").DefineComponent<PTextareaProps, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    blur: (value: Event) => void;
    change: (value: Event) => void;
    input: (value: InputEvent) => void;
}, string, import("vue").PublicProps, Readonly<PTextareaProps> & Readonly<{
    onBlur?: ((value: Event) => any) | undefined;
    onChange?: ((value: Event) => any) | undefined;
    onInput?: ((value: InputEvent) => any) | undefined;
}>, {
    wrap: TextareaWrap;
    resize: TextareaResize;
    label: string;
    description: string;
    disabled: boolean;
    state: TextareaState;
    required: boolean;
    hideLabel: BreakpointCustomizable<boolean>;
    value: string;
    message: string;
    autoComplete: TextareaAutoComplete;
    placeholder: string;
    readOnly: boolean;
    showCounter: boolean;
    rows: number;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const _default: __VLS_WithTemplateSlots<typeof __VLS_component, ReturnType<typeof __VLS_template>>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
